import {
	defineStore
} from "pinia";


const app = defineStore({
	id: "app",
	state: () => ({
		isDark: false,
	}),
	actions: {
		toggleDarkMode() {
			if (this.isDark) {
				document.documentElement.classList.add("dark");
			} else {
				document.documentElement.classList.remove("dark");
			}
		}
	},
	persist: {
		enabled: true,
		detached: true, // 设置订阅与组件分离
	},
});

export default app;